Skip to main content

Get Platform Accounts

Snapshot Catalog Entry

This page is generated from broker tools/list snapshot data.

GETghl.get_platform_accounts

Get available accounts for a specific platform after OAuth

Request Body

{
"jsonrpc": "2.0",
"id": "ghl-get-platform-accounts-example",
"method": "tools/call",
"params": {
"name": "ghl.get_platform_accounts",
"arguments": {
"platform": "google",
"accountId": "accountId_123",
"tenantId": "tenantId_123"
}
}
}

Arguments Schema

{
"type": "object",
"properties": {
"tenantId": {
"type": "string"
},
"platform": {
"type": "string",
"enum": [
"google",
"facebook",
"instagram",
"linkedin",
"twitter",
"tiktok",
"tiktok-business"
]
},
"accountId": {
"type": "string"
}
},
"required": [
"platform",
"accountId"
]
}

Code Examples

curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "ghl-get-platform-accounts-example",
"method": "tools/call",
"params": {
"name": "ghl.get_platform_accounts",
"arguments": {
"platform": "google",
"accountId": "accountId_123",
"tenantId": "tenantId_123"
}
}
}'

Example Responses

{
"ok": true,
"message": "Tool ghl.get_platform_accounts executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}